> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.cail.health/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.cail.health/_mcp/server.

# Change a member’s role

PATCH https://staging.cail.health/v1/organizations/{id}/members/{memberId}/role
Content-Type: application/json

Updates the role of an existing member of the organisation. Operators with sufficient privilege can promote or demote teammates.

Reference: https://docs.cail.health/api-references/api-reference/manage-your-organization/change-role

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: cail-api
  version: 1.0.0
paths:
  /v1/organizations/{id}/members/{memberId}/role:
    patch:
      operationId: change-role
      summary: Change a member’s role
      description: >-
        Updates the role of an existing member of the organisation. Operators
        with sufficient privilege can promote or demote teammates.
      tags:
        - subpackage_manageYourOrganization
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: memberId
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Acknowledgement.
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  description: Any type
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChangeMemberRoleRequest'
servers:
  - url: https://staging.cail.health
    description: https://staging.cail.health
components:
  schemas:
    ChangeMemberRoleRequest:
      type: object
      properties: {}
      title: ChangeMemberRoleRequest
  securitySchemes:
    auth0Bearer:
      type: http
      scheme: bearer

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "userId": "auth0|654a2f4d1b3c4e9a8d2f3c1b",
  "role": "owner"
}
```

**SDK Code**

```python Promoted to owner
import requests

url = "https://staging.cail.health/v1/organizations/f47ac10b-58cc-4372-a567-0e02b2c3d479/members/auth0%7C654a2f4d1b3c4e9a8d2f3c1b/role"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Promoted to owner
const url = 'https://staging.cail.health/v1/organizations/f47ac10b-58cc-4372-a567-0e02b2c3d479/members/auth0%7C654a2f4d1b3c4e9a8d2f3c1b/role';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Promoted to owner
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://staging.cail.health/v1/organizations/f47ac10b-58cc-4372-a567-0e02b2c3d479/members/auth0%7C654a2f4d1b3c4e9a8d2f3c1b/role"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Promoted to owner
require 'uri'
require 'net/http'

url = URI("https://staging.cail.health/v1/organizations/f47ac10b-58cc-4372-a567-0e02b2c3d479/members/auth0%7C654a2f4d1b3c4e9a8d2f3c1b/role")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java Promoted to owner
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://staging.cail.health/v1/organizations/f47ac10b-58cc-4372-a567-0e02b2c3d479/members/auth0%7C654a2f4d1b3c4e9a8d2f3c1b/role")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php Promoted to owner
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://staging.cail.health/v1/organizations/f47ac10b-58cc-4372-a567-0e02b2c3d479/members/auth0%7C654a2f4d1b3c4e9a8d2f3c1b/role', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Promoted to owner
using RestSharp;

var client = new RestClient("https://staging.cail.health/v1/organizations/f47ac10b-58cc-4372-a567-0e02b2c3d479/members/auth0%7C654a2f4d1b3c4e9a8d2f3c1b/role");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Promoted to owner
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://staging.cail.health/v1/organizations/f47ac10b-58cc-4372-a567-0e02b2c3d479/members/auth0%7C654a2f4d1b3c4e9a8d2f3c1b/role")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```